AntiFeatures:
  - NonFreeNet
Categories:
  - Security
License: GPL-3.0-only
WebSite: https://www.ivpn.net/
SourceCode: https://github.com/ivpn/android-app
IssueTracker: https://github.com/ivpn/android-app/issues

AutoName: IVPN

RepoType: git
Repo: https://github.com/ivpn/android-app

Builds:
  - versionName: '1.65'
    versionCode: 75
    commit: v1.65
    subdir: app
    init:
      - git submodule init
      - git submodule update
      - rm -rf src/main/cpp/mbedtls/tests
      - rm -rf src/main/cpp/openvpn3/test
    gradle:
      - fdroidProduction
    prebuild: sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties
    ndk: r21

  - versionName: '1.66'
    versionCode: 78
    commit: v1.66
    subdir: app
    init:
      - git submodule init
      - git submodule update
      - rm -rf src/main/cpp/mbedtls/tests
      - rm -rf src/main/cpp/openvpn3/test
    gradle:
      - fdroidProduction
    prebuild: sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties
    ndk: r21

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.66'
CurrentVersionCode: 78
